<?php
/**
 *  QQ:2420355482   51助手网(www.51zuso.com)
 */
if(!defined('IN_DISCUZ') || !defined('IN_ADMINCP')) {
	exit('Access Denied');
}


//显示设置
function showSet($data){
	foreach($data['item'] as $k=>$v){
		isset($v['isShow'])==true? $v['isShow'] = 1:$v['isShow'] = 0;
		DB::update('zuso_xf', $v, array('id' => $k)); 
	}
	clearCache();
}


//删除挂件
function del($id){
	$res = DB::delete('zuso_xf',array('id'=>$id),1,true);
	clearCache();
}


//添加挂件（默认）
function add($data){
	//图片存储
	foreach($data as $k=>$v){
		//图片存储
		if(preg_match('/^data:image/',$v)){
			$data[$k] = base64Img($v,'source/plugin/zuso_xf/upload/');
		}
	}
	
	//关闭按钮
	if(isset($data['close'])){
		$close = '<span>x</span>';
	}
	
	//html代码
	$code = '<a href="'.$data['link'].'"><img src="'.$data['img'].'"></a>'.$close;
	

	//代码设置数据
	$codeSet = serialize($data);
	
	$res = DB::insert('zuso_xf',array('code'=>$code,'codeSet'=>$codeSet));
	clearCache();
	
}


//编辑挂件（默认）
function edit($data){
	//图片存储
	foreach($data as $k=>$v){
		//图片存储
		if(preg_match('/^data:image/',$v)){
			$data[$k] = base64Img($v,'source/plugin/zuso_xf/upload/');
		}
	}
	
	//生成代码
	$code = buildCode($data);

	//代码设置数据
	$codeSet = serialize($data);
	DB::update('zuso_xf',array('code'=>$code,'codeSet'=>$codeSet), array('id' => $data['dataId'])); 
	clearCache();
}



//生成代码
function buildCode($data){
	//新窗品打开
	$data['target'] == 1?$target ='target="_blank"':$target ='';
	//链接地址
	$data['link']!=''?$link = $data['link']:$link='javascript:;';
	
	$code = '<a style="cursor:pointer;" href="'.$link.'" '.$target.'><img src="'.$data['img'].'"></a>';
	return $code;
}


//存储图片
//base64_image_content base64图片
//path 存储路径
function base64Img($base64_image_content,$path){
	//匹配出图片的格式
	if (preg_match('/^(data:\s*image\/(\w+);base64,)/', $base64_image_content, $result)){
		$type = $result[2];
		$new_file = $path;
		if(!file_exists($new_file)){
			//检查是否有该文件夹，如果没有就创建，并给予最高权限
			mkdir($new_file, 0700);
		}
		$new_file = $new_file.uniqid().'.'.$type;
		if (file_put_contents($new_file, base64_decode(str_replace($result[1], '', $base64_image_content)))){
			return $new_file;
		}else{
			return false;
		}
	}else{
		return false;
	}
}


//更新缓存
function clearCache(){
	savecache('zuso_xf_pc','');
	savecache('zuso_xf_m','');
}




?>